local t = Def.ActorFrame {
	LoadActor("Receptor glow (doubleres).png")..{
		InitCommand=function(self)
			self:zoom(0):spin()
		end;
		PressCommand=function(self)
			self:stoptweening():sleep(0.1):zoom(0):smooth(0.1):zoom(1)
		end;
		LiftCommand=function(self)
			self:stoptweening():zoom(1):smooth(0.1):zoom(0)
		end;
	};
	LoadActor("Receptor glow (doubleres).png")..{
		InitCommand=function(self)
			self:zoom(0):rotationy(180):spin():effectmagnitude(0,0,90)
		end;
		PressCommand=function(self)
			self:stoptweening():sleep(0.1):zoom(0):smooth(0.1):zoom(1)
		end;
		LiftCommand=function(self)
			self:stoptweening():zoom(1):smooth(0.1):zoom(0)
		end;
	};
	Def.Sprite {
		Texture="Receptor 4x1 (doubleres).png";
		Frame0000=0;
		Delay0000=1;
		Frame0001=1;
		Delay0001=1;
		Frame0002=2;
		Delay0002=1;
		Frame0003=3;
		Delay0003=1;
		Frame0004=0;
		Delay0004=0;
		InitCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'InitCommand');
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};
	LoadActor("Receptor outline 1 (doubleres).png")..{
		InitCommand=NOTESKIN:GetMetricA('ReceptorOverlay', 'InitCommand');
		PressCommand=NOTESKIN:GetMetricA('ReceptorOverlay', 'PressCommand1');
		LiftCommand=NOTESKIN:GetMetricA('ReceptorOverlay', 'LiftCommand1');
	};
	LoadActor("Receptor outline 2 (doubleres).png")..{
		InitCommand=NOTESKIN:GetMetricA('ReceptorOverlay', 'InitCommand');
		PressCommand=NOTESKIN:GetMetricA('ReceptorOverlay', 'PressCommand2');
		LiftCommand=NOTESKIN:GetMetricA('ReceptorOverlay', 'LiftCommand2');
	};
	LoadActor("Receptor outline 3 (doubleres).png")..{
		InitCommand=NOTESKIN:GetMetricA('ReceptorOverlay', 'InitCommand');
		PressCommand=NOTESKIN:GetMetricA('ReceptorOverlay', 'PressCommand3');
		LiftCommand=NOTESKIN:GetMetricA('ReceptorOverlay', 'LiftCommand3');
	};
}

return t;
